Subject: bug#22731: emacs-25: Double clicks don't get through to C-h c.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Feb 2016 18:58:30 +0200

> Date: Thu, 18 Feb 2016 12:17:15 +0000
> From: Alan Mackenzie <[email-masked]>
> 
> In the emacs-25 branch, start Emacs with emacs -Q.
> 
> In the *scratch* buffer, do C-h c followed by a double click on the left
> mouse button.
> 
> Examine the *Messages* buffer.  There it will be reported that
> "<down-mouse-1> at that spot runs the command mouse-drag-region".  This
> is wrong - the event handling code has got impatient and returned the
> info for <down-mouse-1> rather than waiting for the actual complete
> event which is a double click.
> 
> However, a double click in the *scratch* buffer without C-h c is read
> correctly, marking the word under the mouse.  It would be nice to be
> able to find out what this command is that does the marking.

We never had such a feature in Emacs, AFAICS, so you are asking for an
enhancement.

Thanks.